Name:           perl-perlfaq
Version:        5.20180605
Release:        2%{?dist}
Summary:        Frequently asked questions about Perl
# Code examples are Public Domain
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/perlfaq
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/perlfaq-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:      perl < 4:5.22.0-347

%description
The perlfaq comprises several documents that answer the most commonly asked
questions about Perl and Perl programming.

%prep
%setup -q -n perlfaq-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Mar 29 2019 Jitka Plesnikova <jplesnik@redhat.com> - 5.20180605-2
- Rebuild with enable hardening (bug #1636329)

* Tue Jun 05 2018 Petr Pisar <ppisar@redhat.com> - 5.20180605-1
- 5.20180605 bump

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.021011-395
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.021011-394
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 5.021011-393
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.021011-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 5.021011-2
- Perl 5.24 rebuild

* Mon Mar 07 2016 Petr Pisar <ppisar@redhat.com> - 5.021011-1
- 5.021011 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.021010-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Petr Pisar <ppisar@redhat.com> - 5.021010-1
- 5.021010 bump

* Thu Jul 02 2015 Petr Pisar <ppisar@redhat.com> 5.021009-348
- Specfile autogenerated by cpanspec 1.78.
